From 1ebc0c592c835e32d51a2fab731342edd8257432 Mon Sep 17 00:00:00 2001
From: Paul Bakker
Date: Thu, 22 May 2014 15:47:58 +0200
Subject: [PATCH] Fix typos
---
ChangeLog | 2 +-
programs/ssl/ssl_server2.c | 2 +-
tests/compat.sh | 2 +-
tests/ssl-opt.sh | 8 ++++----
tests/suites/test_suite_x509parse.data | 2 +-
5 files changed, 8 insertions(+), 8 deletions(-)
diff --git a/ChangeLog b/ChangeLog
index f50b1ee10..28a28df44 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -7,7 +7,7 @@ Features
Bugfix
* Fix in debug_print_msg()
- * Enforce alignment in the buffer allocator even if buffer is not alligned
+ * Enforce alignment in the buffer allocator even if buffer is not aligned
* Remove less-than-zero checks on unsigned numbers
* Stricter check on SSL ClientHello internal sizes compared to actual packet
size (found by TrustInSoft)
diff --git a/programs/ssl/ssl_server2.c b/programs/ssl/ssl_server2.c
index f68eadeb0..2b6e426b3 100644
--- a/programs/ssl/ssl_server2.c
+++ b/programs/ssl/ssl_server2.c
@@ -136,7 +136,7 @@ struct options
int ticket_timeout; /* session ticket lifetime */
int cache_max; /* max number of session cache entries */
int cache_timeout; /* expiration delay of session cache entries */
- char *sni; /* string decribing sni information */
+ char *sni; /* string describing sni information */
const char *alpn_string; /* ALPN supported protocols */
} opt;
diff --git a/tests/compat.sh b/tests/compat.sh
index b6db5192d..724311cf7 100755
--- a/tests/compat.sh
+++ b/tests/compat.sh
@@ -1034,7 +1034,7 @@ for VERIFY in $VERIFIES; do
;;
*)
- echo "Unkown peer: $PEER" >&2
+ echo "Unknown peer: $PEER" >&2
exit 1
;;
diff --git a/tests/ssl-opt.sh b/tests/ssl-opt.sh
index 94b6400aa..f4fbc019b 100755
--- a/tests/ssl-opt.sh
+++ b/tests/ssl-opt.sh
@@ -64,7 +64,7 @@ get_options() {
exit 0
;;
*)
- echo "Unkown argument: '$1'"
+ echo "Unknown argument: '$1'"
print_usage
exit 1
;;
@@ -151,7 +151,7 @@ run_test() {
CLI_EXIT=$?
echo "EXIT: $CLI_EXIT" >> cli_out
- # psk is usefull when server only has bad certs
+ # psk is useful when server only has bad certs
if is_polar "$SRV_CMD"; then
"$P_CLI" request_page=SERVERQUIT tickets=0 auth_mode=none psk=abc123 \
crt_file=data_files/cli2.crt key_file=data_files/cli2.key \
@@ -162,7 +162,7 @@ run_test() {
wait $SRV_PID
# check if the client and server went at least to the handshake stage
- # (usefull to avoid tests with only negative assertions and non-zero
+ # (useful to avoid tests with only negative assertions and non-zero
# expected client exit to incorrectly succeed in case of catastrophic
# failure)
if is_polar "$SRV_CMD"; then
@@ -227,7 +227,7 @@ run_test() {
;;
*)
- echo "Unkown test: $1" >&2
+ echo "Unknown test: $1" >&2
exit 1
esac
shift 2
diff --git a/tests/suites/test_suite_x509parse.data b/tests/suites/test_suite_x509parse.data
index efee294ac..c0f894832 100644
--- a/tests/suites/test_suite_x509parse.data
+++ b/tests/suites/test_suite_x509parse.data
@@ -850,7 +850,7 @@ x509_oid_numstr:"2A8648F9F8F7F6F5F4F3F2F1F001":"":100:POLARSSL_ERR_OID_BUF_TOO_S
X509 crt keyUsage #1 (no extension, expected KU)
x509_check_key_usage:"data_files/server1.crt":KU_DIGITAL_SIGNATURE|KU_KEY_ENCIPHERMENT:0
-X509 crt keyUsage #2 (no extension, suprising KU)
+X509 crt keyUsage #2 (no extension, surprising KU)
x509_check_key_usage:"data_files/server1.crt":KU_KEY_CERT_SIGN:0
X509 crt keyUsage #3 (extension present, no KU)